Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000800Taste[All Projects] Generalpublic2018-08-27 11:132018-09-14 11:12
Reportercavada@fbk.eu 
Assigned Tomaxime 
PrioritynormalSeveritycrashReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Summary0000800:

Wrong delivery of messages

Description

There are cases where messages get lost, or wrongly delivered.

In the example, a RI ('BCSInterface::fdir_set_config') is connected to a sporadic PI ('FDIR::set_config'). A second RI ('FDIR::eb_set_config') is connected to a protected PI ('EBMonitor::set_config').

When BCSInterface::fdir_set_config is called, messages is delivered to EBMonitor::set_config, instead of FDIR::set_config (!)

Notice that possible arguments would get wrongly casted.

The problem is due to code that is wrongly generated, as using different names for the PIs fixes the problem (name clash?).

TagsNo tags attached.
Attached Filestgz file icon bug-800.tgz [^] (33,077 bytes) 2018-08-27 11:14

- Relationships

-  Notes
(0003441)
cavada@fbk.eu (reporter)
2018-08-27 11:18

This is the output in case of wrong behaviour:

[I, FDIR] Waiting for configuration...
[I, BCSInterface] propagating new configuration

[I, PBMonitor] Got set_config called <<<<<<------ THIS SHOULD BE NOT CALLED
[E, FDIR] Received start before config
[I, BCSInterface] received done from FDIR

(0003442)
cavada@fbk.eu (reporter)
2018-08-27 11:23

After changing name of FDIR::set_config PI (to be not clashing with EBMonitor::set_config), this is the expectedly correct output:

[I, FDIR] Waiting for configuration...
[I, BCSInterface] propagating new configuration

[I, FDIR] Got configuration, now ready <<<<--- THIS IS CORRECTLY CALLED
[I, EBMonitor] Got set_config called

(0003443)
cavada@fbk.eu (reporter)
2018-08-27 11:30

The problem was hard to reduce, as it shows up in situations that are not easy to identify. The attached example is somehow minimal (or I tried to reduce it so), as it seems that the bug depends on the set of signals (and ultimately on the corresponding threads).

(0003444)
maxime (administrator)
2018-08-27 12:22

We are looking into it, will update you asap

(0003449)
maxime (administrator)
2018-09-06 16:07

fixed in master branch of buildsupport (not merged yet in 9.1)

(0003464)
maxime (administrator)
2018-09-14 11:12

merged in 9.1, please confirm and close the ticket if everything is ok


- Issue History
Date Modified Username Field Change
2018-08-27 11:13 cavada@fbk.eu New Issue
2018-08-27 11:14 cavada@fbk.eu File Added: bug-800.tgz
2018-08-27 11:18 cavada@fbk.eu Note Added: 0003441
2018-08-27 11:23 cavada@fbk.eu Note Added: 0003442
2018-08-27 11:30 cavada@fbk.eu Note Added: 0003443
2018-08-27 12:22 maxime Note Added: 0003444
2018-09-06 16:07 maxime Note Added: 0003449
2018-09-06 16:07 maxime Status

new => resolved

2018-09-06 16:07 maxime Resolution

open => fixed

2018-09-06 16:07 maxime Assigned To

=> maxime

2018-09-14 11:12 maxime Note Added: 0003464


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker